package com.flyer.foster.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import cn.dev33.satoken.stp.StpUtil;
import com.flyer.foster.service.IMenuService;
import com.flyer.foster.service.ITenantService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 菜单
 *
 * @author flyer
 * @since 2024-05-06
 */
@RestController
@RequestMapping("/admin/menu")
public class MenuController {
    @Autowired
    private IMenuService iMenuService;

    @Autowired
    private ITenantService iTenantService;

    /**
     * 获取菜单列表
     *
     * @return
     */
    @GetMapping("/list")
    public R menuList() {
        String userName = StpUtil.getLoginId().toString();
        return R.ok().result(iMenuService.selectMenusByUserName(userName));
    }

    /**
     * 角色分配时所有菜单列表
     *
     * @return
     */
    @GetMapping("/role-assign-menu/list")
    public R dropdownMenuList() {
        return R.ok().result(iMenuService.getRoleAssignTreeMenuList());
    }
}
