package com.flyer.foster.controller.app;

import com.flyer.foster.dto.app.AppUserQueryDTO;
import com.flyer.foster.service.IAppUserService;
import com.flyer.util.JwtUtil;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;

/**
 * 小程序用户
 *
 * @author flyer
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/app/user")
public class AppUserController {
    @Autowired
    private JwtUtil jwtUtil;

    @Autowired
    private IAppUserService iAppUserService;

    @RequestMapping("/login")
    public R login(@RequestBody AppUserQueryDTO dto) {
        return R.ok().result(iAppUserService.login(dto));
    }

    /**
     * 生成飞鸟看园token
     *
     * @return
     */
    @PostMapping("/generate-birdseye-token")
    public R generateBirdseyeToken() {
        String audience = "sysuimars";
        String subject = "api";
        Map<String, Object> claims = new HashMap<>();
        claims.put("userid", 12);
        String birdseyeToken = jwtUtil.createBirdseyeToken(claims, audience, subject);
        return R.ok().result(birdseyeToken);
    }
}
