package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * AreaSearchDTO
 *
 * @author kelei
 * @since 2024/5/9/10:54
 */
@Data
public class AreaAddDTO {
    private Integer id;

    /**
     * 果园id
     */
    @NotBlank(message = "果园不能为空")
    private Integer gardenId;

    /**
     * 区域名称
     */
    @NotBlank(message = "区域名称不能为空")
    private String name;

    /**
     * 坐标
     */
    @NotBlank(message = "坐标不能为空")
    private String wkt;

    /**
     * 状态-{0.不可用 1.可用}
     */
    private Integer status;

    /**
     * 租户号
     */
    private Integer tenantId;
}
