package com.flyer.foster.pojo;

import lombok.Data;
import org.locationtech.jts.geom.Geometry;
import org.locationtech.jts.geom.Point;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * LzTree
 *
 * @author kelei
 * @since 2024/5/13/19:53
 */
@Data
public class LzTree {
    private Integer id;

    private String code;

    private Integer fruitsTypeItemId;

    private Integer fruitsType;

    private Integer age;

    private Integer areaId;

    private Integer userId;

    private Point point;

    private Double canopyArea;

    private Double dbh;

    private String label;

    private String colorName;

    private String pz;

    private String img;

    private LocalDateTime updateDate;

    private Boolean noImg;

    private String wkt;

    private Integer warning ;

    private String partImgUrl;

    private LzTreeGrowData growData;

    private String pzIcon;

    private Integer growDataId;

    private Integer organId;

    private Boolean virtual;

    /**
     * 聚合点id
     */
    private Integer polymerId;

    /**
     * 相对像素坐标
     */
    private String px;

    /**
     * 小程序地图底图id
     */
    private Integer organMiniMapImageId;

    /**
     * 最后更新平均数据时间
     */
    private LocalDate updateGrowDataAvgDate;
}
