package com.flyer.exception;

import com.flyer.enums.StatusCodeEnum;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * BusinessException
 *
 * @author kelei
 * @since 2022/3/16/9:15
 */
@Data
@NoArgsConstructor
public class BusinessException extends RuntimeException {
    //错误码
    private Integer code;
    //错误消息
    private String message;

    /**
     * @param message 错误消息
     */
    public BusinessException(String message) {
        this.code = StatusCodeEnum.ERROR.getCode();
        this.message = message;
    }

    /**
     * @param message 错误消息
     * @param code    错误码
     */
    public BusinessException(String message, Integer code) {
        this.message = message;
        this.code = code;
    }

    /**
     * @param message 错误消息
     * @param code    错误码
     * @param cause   原始异常对象
     */
    public BusinessException(String message, Integer code, Throwable cause) {
        super(cause);
        this.message = message;
        this.code = code;
    }

    /**
     * @param statusCodeEnum 接收枚举类型
     */
    public BusinessException(StatusCodeEnum statusCodeEnum) {
        this.message = statusCodeEnum.getMessage();
        this.code = statusCodeEnum.getCode();
    }

    /**
     * @param statusCodeEnum 接收枚举类型
     * @param cause          原始异常对象
     */
    public BusinessException(StatusCodeEnum statusCodeEnum, Throwable cause) {
        super(cause);
        this.message = statusCodeEnum.getMessage();
        this.code = statusCodeEnum.getCode();
    }
}
